Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::ISO_9796_DS2 Class Referencefinal

`#include <iso9796.h>`

Inheritance diagram for Botan::ISO_9796_DS2:

## Public Member Functions
EMSA * | clone () override
| ISO_9796_DS2 (HashFunction *hash, bool implicit=false)
| ISO_9796_DS2 (HashFunction *hash, bool implicit, size_t salt_size)

## Detailed Description

ISO-9796-2 - Digital signature scheme 2 (probabilistic)

Definition at line 19 of file iso9796.h.

## Constructor & Destructor Documentation

Botan::ISO_9796_DS2::ISO_9796_DS2 | ( | HashFunction * | hash,
|  | bool | implicit = `false`
| ) |  |
| inline explicit

Parameters

  hash | function to use
  implicit | whether or not the trailer is implicit

Definition at line 26 of file iso9796.h.

26 : m_hash(hash), m_implicit(implicit),
27 m_SALT_SIZE(hash->output_length()) {}
hash
MechanismType hash
Definition: p11_mechanism.cpp:63

Botan::ISO_9796_DS2::ISO_9796_DS2 | ( | HashFunction * | hash,
|  | bool | implicit,
|  | size_t | salt_size
| ) |  |
| inline

Parameters

  hash | function to use
  implicit | whether or not the trailer is implicit
  salt_size | size of the salt to use in bytes

Definition at line 34 of file iso9796.h.

34 : m_hash(hash), m_implicit(implicit),
35 m_SALT_SIZE(salt_size) {}
salt_size
size_t salt_size
Definition: p11_mechanism.cpp:69
hash
MechanismType hash
Definition: p11_mechanism.cpp:63

## Member Function Documentation

EMSA* Botan::ISO_9796_DS2::clone | ( |  | ) |
| inline override virtual

Returns
  a new object representing the same encoding method as *this

Implements Botan::EMSA.

Definition at line 37 of file iso9796.h.

References m_hash.

38 {return new ISO_9796_DS2(m_hash->clone(), m_implicit, m_SALT_SIZE);}
Botan::ISO_9796_DS2::ISO_9796_DS2
ISO_9796_DS2(HashFunction *hash, bool implicit=false)
Definition: iso9796.h:26

The documentation for this class was generated from the following files:

- src/lib/pk_pad/iso9796/iso9796.h
- src/lib/pk_pad/iso9796/iso9796.cpp